Index: extensions/PHP_Optimisateur/language/en_UK/common.lang.php
===================================================================
--- extensions/PHP_Optimisateur/language/en_UK/common.lang.php	(revision 10337)
+++ extensions/PHP_Optimisateur/language/en_UK/common.lang.php	(revision 10337)
@@ -0,0 +1,69 @@
+<?php
+$Lang['fatal.ErrorConfigFile'] = "Fatal error : Configuration file missing.";
+$Lang['fatal.ErrorFolderIn'] = "Fatal error : Input folder empty.";
+$Lang['fatal.ErrorFolderOut'] = "Fatal error : Output folder not empty.";
+$Lang['fatal.ErrorNconvert'] = "Fatal error : The program <i>nconvert.exe</i> is not found.";
+$Lang['fatal.ErrorConfig'] = "Fatal error : Configuration incorrect.";
+$Lang['notice.EraseFolderOut'] = "Warning : The output folder will be completely emptied.";
+$Lang['notice.ErrorConfig'] = "Some configuration errors have been fixed, please check your parameters.";
+$Lang['notice.must_be_integer %s'] = "%s must be an integer.";
+$Lang['notice.must_be_integer_100 %s'] = "%s must be a decimal below 100.";
+$Lang['notice.must_be_decimal %s'] = "%s must be a decimal.";
+
+$Lang['Source files'] = "Handled files";
+$Lang['%d files'] = "%d files";
+$Lang['Finish %d seconds'] = "Process done : %d seconds.";
+$Lang['Ready'] = "Ready to launch.";
+$Lang['Processing'] = "Processing.";
+$Lang['Launch'] = "Launch";
+$Lang['Config'] = "Configure";
+$Lang['Back'] = "Back";
+$Lang['Reload'] = "Reload";
+$Lang['Saved'] = "Configuration saved. <i>Redirection...</i>";
+$Lang['Configuration'] = "Configuration";
+$Lang['Folders'] = "Folders";
+$Lang['FolderIn'] = "Input folder";
+$Lang['FolderOut'] = "Output folder";
+$Lang['Options'] = "Options";
+$Lang['silentORNOT'] = "If output folder not empty";
+$Lang['DIRhighORNOT'] = "Create high-definition folders";
+$Lang['DIMhdORNOT'] = "Resize HD pictures";
+$Lang['renameORNOT'] = "Rename files and folders";
+$Lang['indexORNOT'] = "Add index.php files";
+$Lang['prefixe_mini'] = "Thumbnail prefix";
+$Lang['Sizes and quality'] = "Sizes and quality";
+$Lang['DIMhd'] = "HD pictures max size";
+$Lang['DIMnormal'] = "Normal pictures max size";
+$Lang['DIMthumbnail'] = "Thumbnails size";
+$Lang['Qhd'] = "HD pictures quality";
+$Lang['Qnormal'] = "Normal pictures quality";
+$Lang['Qthumbnail'] = "Thumbails quality";
+$Lang['DPI'] = "HD pictures resolution";
+$Lang['Copyright'] = "Copyright";
+$Lang['Content'] = "Content";
+$Lang['copyONhd'] = "On high-definition";
+$Lang['copyONnormal'] = "On normal";
+$Lang['copyPOS%s'] = "%sPosition";
+$Lang['copyPOSh'] = "Horizontal ";
+$Lang['copyPOSv'] = "Vertical ";
+$Lang['copySIZE'] = "Size (ratio image/text)";
+$Lang['copyCOLOR'] = "Color";
+$Lang['copyFONT'] = "Font";
+$Lang['Plugins'] = "Plugins";
+$Lang['yes'] = "yes";
+$Lang['no'] = "no";
+$Lang['top'] = "top";
+$Lang['center'] = "center";
+$Lang['bottom'] = "bottom";
+$Lang['left'] = "left";
+$Lang['right'] = "right";
+$Lang['erase'] = "Erase";
+$Lang['pass'] = "Continue";
+$Lang['block'] = "Block";
+$Lang['New !'] = "New !";
+$Lang['Missing !'] = "Missing !";
+$Lang['Reset'] = "Reset";
+$Lang['Valid'] = "Validate";
+$Lang['Active'] = "Active";
+$Lang['Inactive'] = "Inactive";
+?>
Index: extensions/PHP_Optimisateur/language/es_ES/common.lang.php
===================================================================
--- extensions/PHP_Optimisateur/language/es_ES/common.lang.php	(revision 10337)
+++ extensions/PHP_Optimisateur/language/es_ES/common.lang.php	(revision 10337)
@@ -0,0 +1,69 @@
+<?php
+$Lang['fatal.ErrorConfigFile'] = "Error grave : Archivo de configuración que no se encuentra.";
+$Lang['fatal.ErrorFolderIn'] = "Error grave : Carpeta fuente vacia.";
+$Lang['fatal.ErrorFolderOut'] = "Error grave : Carpeta de salida no está vacío.";
+$Lang['fatal.ErrorNconvert'] = "Error grave : El programa <i>nconvert.exe</i> no se encuentra.";
+$Lang['fatal.ErrorConfig'] = "Error grave : Configuración errónea.";
+$Lang['notice.EraseFolderOut'] = "Atención: La carpeta de salida será vaciado por completo.";
+$Lang['notice.ErrorConfig'] = "Los errores de configuración se han corregido, por favor, compruebe los ajustes.";
+$Lang['notice.must_be_integer %s'] = "%s must be an integer.";
+$Lang['notice.must_be_integer_100 %s'] = "%s must be a decimal below 100.";
+$Lang['notice.must_be_decimal %s'] = "%s must be a decimal.";
+
+$Lang['Source files'] = "Archivos procesados";
+$Lang['%d files'] = "%d Archivos";
+$Lang['Finish %d seconds'] = "Terminado:% d segundos.";
+$Lang['Ready'] = "Listo para empezar.";
+$Lang['Processing'] = "En proceso";
+$Lang['Launch'] = "Ejecutar";
+$Lang['Config'] = "Configurar";
+$Lang['Back'] = "Volver";
+$Lang['Reload'] = "Reload";
+$Lang['Saved'] = "Configuration saved. <i>Redirection...</i>";
+$Lang['Configuration'] = "Configuración";
+$Lang['Folders'] = "Directorios";
+$Lang['FolderIn'] = "Directorio fuente";
+$Lang['FolderOut'] = "Directorio de salida";
+$Lang['Options'] = "Opciónes";
+$Lang['silentORNOT'] = "Si la carpeta de salida no está vacío";
+$Lang['DIRhighORNOT'] = "Crear el directorio alta definición";
+$Lang['DIMhdORNOT'] = "Cambiar el tamaño de las imágenes HD";
+$Lang['renameORNOT'] = "Cambiar el nombre de los archivos";
+$Lang['indexORNOT'] = "Añadir archivos index.php";
+$Lang['prefixe_mini'] = "Prefijo de miniaturas";
+$Lang['Sizes and quality'] = "Tamaños y calidad";
+$Lang['DIMhd'] = "Máximo tamaño de las imágenes HD";
+$Lang['DIMnormal'] = "Imágenes de tamaño normal";
+$Lang['DIMthumbnail'] = "Tamaño de la miniatura";
+$Lang['Qhd'] = "Calidad de imagen HD";
+$Lang['Qnormal'] = "Calidad de imagenes normales";
+$Lang['Qthumbnail'] = "Calidad de las miniaturas";
+$Lang['DPI'] = "Resolución de las imagenes HD";
+$Lang['Copyright'] = "Copyright";
+$Lang['Content'] = "Texto";
+$Lang['copyONhd'] = "Sobre las imágenes HD";
+$Lang['copyONnormal'] = "Sobre las imágenes normales";
+$Lang['copyPOS%s'] = "Posición%s";
+$Lang['copyPOSh'] = " horizontal";
+$Lang['copyPOSv'] = " vertical";
+$Lang['copySIZE'] = "Relación de tamaño (imagen / texto)";
+$Lang['copyCOLOR'] = "Color";
+$Lang['copyFONT'] = "Fuente";
+$Lang['Plugins'] = "Plugins";
+$Lang['yes'] = "si";
+$Lang['no'] = "no";
+$Lang['top'] = "arriba";
+$Lang['center'] = "centro";
+$Lang['bottom'] = "abajo";
+$Lang['left'] = "izsquierda";
+$Lang['right'] = "derecha";
+$Lang['erase'] = "Borrar";
+$Lang['pass'] = "Seguir";
+$Lang['block'] = "Bloquear";
+$Lang['New !'] = "Nuevo !";
+$Lang['Missing !'] = "Falta !";
+$Lang['Reset'] = "Reiniciar";
+$Lang['Valid'] = "Validar";
+$Lang['Active'] = "Activar";
+$Lang['Inactive'] = "Desactivar";
+?>
Index: extensions/PHP_Optimisateur/language/fr_FR/common.lang.php
===================================================================
--- extensions/PHP_Optimisateur/language/fr_FR/common.lang.php	(revision 10337)
+++ extensions/PHP_Optimisateur/language/fr_FR/common.lang.php	(revision 10337)
@@ -0,0 +1,69 @@
+<?php
+$Lang['fatal.ErrorConfigFile'] = "Erreur fatale : Fichier de configuration introuvable.";
+$Lang['fatal.ErrorFolderIn'] = "Erreur fatale : Dossier source vide.";
+$Lang['fatal.ErrorFolderOut'] = "Erreur fatale : Dossier de sortie non vide.";
+$Lang['fatal.ErrorNconvert'] = "Erreur fatale : Le programme <i>nconvert.exe</i> est introuvable.";
+$Lang['fatal.ErrorConfig'] = "Erreur fatale : Configuration incorrecte.";
+$Lang['notice.EraseFolderOut'] = "Attention : Le dossier de sortie va être entièrement vidé.";
+$Lang['notice.ErrorConfig'] = "Des erreurs de configuration ont été corrigées, veuillez vérifier les réglages.";
+$Lang['notice.must_be_integer %s'] = "%s doit être un entier.";
+$Lang['notice.must_be_integer_100 %s'] = "%s doit être un nombre décimal inférieur à 100.";
+$Lang['notice.must_be_decimal %s'] = "%s doit être un nombre décimal.";
+
+$Lang['Source files'] = "Fichiers traités";
+$Lang['%d files'] = "%d fichiers";
+$Lang['Finish %d seconds'] = "Opération terminée : %d secondes.";
+$Lang['Ready'] = "Prêt à commencer.";
+$Lang['Processing'] = "En cours de traitement.";
+$Lang['Launch'] = "Exécuter";
+$Lang['Config'] = "Configurer";
+$Lang['Back'] = "Retour";
+$Lang['Reload'] = "Recharger";
+$Lang['Saved'] = "Configuration sauvegardée. <i>Redirection...</i>";
+$Lang['Configuration'] = "Configuration";
+$Lang['Folders'] = "Répertoires";
+$Lang['FolderIn'] = "Répertoire source";
+$Lang['FolderOut'] = "Répertoire de sortie";
+$Lang['Options'] = "Options";
+$Lang['silentORNOT'] = "Si dossier de sortie non vide";
+$Lang['DIRhighORNOT'] = "Créer le dossier haute définition";
+$Lang['DIMhdORNOT'] = "Redimensionner les images HD";
+$Lang['renameORNOT'] = "Renommer les fichiers";
+$Lang['indexORNOT'] = "Ajouter les fichiers index.php";
+$Lang['prefixe_mini'] = "Préfixe des miniatures";
+$Lang['Sizes and quality'] = "Tailles et qualité";
+$Lang['DIMhd'] = "Taille maximale des images HD";
+$Lang['DIMnormal'] = "Taille des images normales";
+$Lang['DIMthumbnail'] = "Taille des miniatures";
+$Lang['Qhd'] = "Qualité des images HD";
+$Lang['Qnormal'] = "Qualité des images normales";
+$Lang['Qthumbnail'] = "Qualité des miniatures";
+$Lang['DPI'] = "Résolution des images HD";
+$Lang['Copyright'] = "Copyright";
+$Lang['Content'] = "Texte";
+$Lang['copyONhd'] = "Sur les images HD";
+$Lang['copyONnormal'] = "Sur les images normales";
+$Lang['copyPOS%s'] = "Position%s";
+$Lang['copyPOSh'] = " horizontale";
+$Lang['copyPOSv'] = " verticale";
+$Lang['copySIZE'] = "Taille (ratio image/texte)";
+$Lang['copyCOLOR'] = "Couleur";
+$Lang['copyFONT'] = "Police";
+$Lang['Plugins'] = "Plugins";
+$Lang['yes'] = "oui";
+$Lang['no'] = "non";
+$Lang['top'] = "haut";
+$Lang['center'] = "milieu";
+$Lang['bottom'] = "bas";
+$Lang['left'] = "gauche";
+$Lang['right'] = "droite";
+$Lang['erase'] = "Effacer";
+$Lang['pass'] = "Continuer";
+$Lang['block'] = "Bloquer";
+$Lang['New !'] = "Nouveau !";
+$Lang['Missing !'] = "Manquant !";
+$Lang['Reset'] = "Réinitialiser";
+$Lang['Valid'] = "Valider";
+$Lang['Active'] = "Activé";
+$Lang['Inactive'] = "Désactivé";
+?>
Index: extensions/PHP_Optimisateur/language/it_IT/common.lang.php
===================================================================
--- extensions/PHP_Optimisateur/language/it_IT/common.lang.php	(revision 10337)
+++ extensions/PHP_Optimisateur/language/it_IT/common.lang.php	(revision 10337)
@@ -0,0 +1,69 @@
+<?php
+$Lang['fatal.ErrorConfigFile'] = "Errore fatale : File di configurazione mancante.";
+$Lang['fatal.ErrorFolderIn'] = "Errore fatale : La cartella input è vuota.";
+$Lang['fatal.ErrorFolderOut'] = "Errore fatale : La cartella output non è vuota.";
+$Lang['fatal.ErrorNconvert'] = "Errore fatale : Il Programma <i>nconvert.exe</i> non si trova.";
+$Lang['fatal.ErrorConfig'] = "Errore fatale : Configurazione incorretta.";
+$Lang['notice.EraseFolderOut'] = "Attenzione : La cartella output sarà completamente svuotata.";
+$Lang['notice.ErrorConfig'] = "Alcuni errori di configurazione sono stati risolti, si prega di controllare i vostri parametri.";
+$Lang['notice.must_be_integer %s'] = "%s must be an integer.";
+$Lang['notice.must_be_integer_100 %s'] = "%s must be a decimal below 100.";
+$Lang['notice.must_be_decimal %s'] = "%s must be a decimal.";
+
+$Lang['Source files'] = "File gestiti";
+$Lang['%d files'] = "%d file";
+$Lang['Finish %d seconds'] = "Elaborazione terminata : %d secondi.";
+$Lang['Ready'] = "Pronto per l'avvio.";
+$Lang['Processing'] = "Elaborazione.";
+$Lang['Launch'] = "Avvio";
+$Lang['Config'] = "Configurare";
+$Lang['Back'] = "Indietro";
+$Lang['Reload'] = "Reload";
+$Lang['Saved'] = "Configuration saved. <i>Redirection...</i>";
+$Lang['Configuration'] = "Configurazione";
+$Lang['Folders'] = "Cartelle";
+$Lang['FolderIn'] = "Cartella input";
+$Lang['FolderOut'] = "Cartella output";
+$Lang['Options'] = "Impostazioni";
+$Lang['silentORNOT'] = "Se la cartella d'output non è vuota";
+$Lang['DIRhighORNOT'] = "Creare delle cartelle HD";
+$Lang['DIMhdORNOT'] = "Ridimensionare le immagini HD";
+$Lang['renameORNOT'] = "Rinominare i file e le cartelle";
+$Lang['indexORNOT'] = "Aggiungere dei file index.php";
+$Lang['prefixe_mini'] = "Prefisso dei thumbnail";
+$Lang['Sizes and quality'] = "Grandezze e qualità";
+$Lang['DIMhd'] = "Grandezza massima delle immagini in HD";
+$Lang['DIMnormal'] = "Grandezza massima delle immagini normali";
+$Lang['DIMthumbnail'] = "Grandezza dei thumbnail";
+$Lang['Qhd'] = "Qualità delle immagini in HD";
+$Lang['Qnormal'] = "Qualità delle immagini normali";
+$Lang['Qthumbnail'] = "Qualità dei thumbnail";
+$Lang['DPI'] = "Risoluzione delle immagini in HD";
+$Lang['Copyright'] = "Copyright";
+$Lang['Content'] = "Contenuto";
+$Lang['copyONhd'] = "In alta definizione";
+$Lang['copyONnormal'] = "Normale";
+$Lang['copyPOS%s'] = "%s Posizione";
+$Lang['copyPOSh'] = "Orizzontale ";
+$Lang['copyPOSv'] = "Verticale ";
+$Lang['copySIZE'] = "Grandezza (ratio immagine/testo)";
+$Lang['copyCOLOR'] = "Colore";
+$Lang['copyFONT'] = "Font";
+$Lang['Plugins'] = "Plug-In";
+$Lang['yes'] = "su";
+$Lang['no'] = "no";
+$Lang['top'] = "cima";
+$Lang['center'] = "centro";
+$Lang['bottom'] = "fondo";
+$Lang['left'] = "sinistra";
+$Lang['right'] = "destra";
+$Lang['erase'] = "Eliminare";
+$Lang['pass'] = "Continuare";
+$Lang['block'] = "Blocco";
+$Lang['New !'] = "Nuovo !";
+$Lang['Missing !'] = "Manca !";
+$Lang['Reset'] = "Reset";
+$Lang['Valid'] = "Validare";
+$Lang['Active'] = "Attivo";
+$Lang['Inactive'] = "Inattivo";
+?>
Index: extensions/PHP_Optimisateur/language/lv_LV/common.lang.php
===================================================================
--- extensions/PHP_Optimisateur/language/lv_LV/common.lang.php	(revision 10337)
+++ extensions/PHP_Optimisateur/language/lv_LV/common.lang.php	(revision 10337)
@@ -0,0 +1,69 @@
+<?php
+$Lang['fatal.ErrorConfigFile'] = "Fatāla kļūda : Trūkst konfigurācijas fails.";
+$Lang['fatal.ErrorFolderIn'] = "Fatāla kļūda : Tukša ievades mape.";
+$Lang['fatal.ErrorFolderOut'] = "Fatāla kļūda : Nav tukša izvades mape.";
+$Lang['fatal.ErrorNconvert'] = "Fatāla kļūda : Nav atrasta programma nconvert.exe.";
+$Lang['fatal.ErrorConfig'] = "Fatāla kļūda : Nekorekta konfigurācija.";
+$Lang['notice.EraseFolderOut'] = "Brīdinājums : Izvades mape tiks pilnībā iztukšota.";
+$Lang['notice.ErrorConfig'] = "Fiksētas dažas konfigurācija kļūdas, lūdzu pārbaudiet parametrus.";
+$Lang['notice.must_be_integer %s'] = "%s must be an integer.";
+$Lang['notice.must_be_integer_100 %s'] = "%s must be a decimal below 100.";
+$Lang['notice.must_be_decimal %s'] = "%s must be a decimal.";
+
+$Lang['Source files'] = "Apstrādātie faili";
+$Lang['%d files'] = "%d faili";
+$Lang['Finish %d seconds'] = "Process paveikts : %d sekundes.";
+$Lang['Ready'] = "Gatavs sākt.";
+$Lang['Processing'] = "Apstrāde.";
+$Lang['Launch'] = "Sākt";
+$Lang['Config'] = "Konfigurēt";
+$Lang['Back'] = "Atpakaļ";
+$Lang['Reload'] = "Reload";
+$Lang['Saved'] = "Configuration saved. <i>Redirection...</i>";
+$Lang['Configuration'] = "Konfigurācija";
+$Lang['Folders'] = "Mapes";
+$Lang['FolderIn'] = "Ievades mape";
+$Lang['FolderOut'] = "Izvades mape";
+$Lang['Options'] = "Opcijas";
+$Lang['silentORNOT'] = "Ja izvades mape nav tukša";
+$Lang['DIRhighORNOT'] = "Izveidot augstas izšķirtspējas (HD) mapes";
+$Lang['DIMhdORNOT'] = "Izmainīt HD attēlu izmērus";
+$Lang['renameORNOT'] = "Pārdēvēt failus un mapes";
+$Lang['indexORNOT'] = "Pievienot index.php failus";
+$Lang['prefixe_mini'] = "Sīkbilžu prefiksi";
+$Lang['Sizes and quality'] = "Izmēri un kvalitāte";
+$Lang['DIMhd'] = "HD attēla maksimālais izmērs";
+$Lang['DIMnormal'] = "Normāla attēla maksimālais izmērs";
+$Lang['DIMthumbnail'] = "Sīkbildes izmērs";
+$Lang['Qhd'] = "HD attēla kvalitāte";
+$Lang['Qnormal'] = "Normāla attēla kvalitāte";
+$Lang['Qthumbnail'] = "Sīkbildes kvalitāte";
+$Lang['DPI'] = "HD attēla izšķirtspēja";
+$Lang['Copyright'] = "Autortiesības";
+$Lang['Content'] = "Saturs";
+$Lang['copyONhd'] = "Augstā izšķirtspējā";
+$Lang['copyONnormal'] = "Normālā izšķirtspējā";
+$Lang['copyPOS%s'] = "%sPozīcija";
+$Lang['copyPOSh'] = "Horizontāli ";
+$Lang['copyPOSv'] = "Vertikāli ";
+$Lang['copySIZE'] = "Izmērs (attēls/teksts attiecība)";
+$Lang['copyCOLOR'] = "Krāsa";
+$Lang['copyFONT'] = "Fonts";
+$Lang['Plugins'] = "Spraudnis";
+$Lang['yes'] = "jā";
+$Lang['no'] = "nē";
+$Lang['top'] = "augšā";
+$Lang['center'] = "vidū";
+$Lang['bottom'] = "apakšā";
+$Lang['left'] = "pa kreisi";
+$Lang['right'] = "pa labi";
+$Lang['erase'] = "Dzēst";
+$Lang['pass'] = "Turpināt";
+$Lang['block'] = "Bloķēt";
+$Lang['New !'] = "Jauns !";
+$Lang['Missing !'] = "Trūkst !";
+$Lang['Reset'] = "Atjaunot";
+$Lang['Valid'] = "Validēt";
+$Lang['Active'] = "Aktīvs";
+$Lang['Inactive'] = "Neaktīvs";
+?>
Index: extensions/PHP_Optimisateur/language/sk_SK/common.lang.php
===================================================================
--- extensions/PHP_Optimisateur/language/sk_SK/common.lang.php	(revision 10337)
+++ extensions/PHP_Optimisateur/language/sk_SK/common.lang.php	(revision 10337)
@@ -0,0 +1,69 @@
+<?php
+$Lang['fatal.ErrorConfigFile'] = "Fatálna chyba: Konfiguračný súbor chýba.";
+$Lang['fatal.ErrorFolderIn'] = "Fatálna chyba: Načítavací adresár je prázdny.";
+$Lang['fatal.ErrorFolderOut'] = "Fatálna chyba: Výstupný adresár je prázdny.";
+$Lang['fatal.ErrorNconvert'] = "Fatálna chyba: Program <i>nconvert.exe</i> nenájdený.";
+$Lang['fatal.ErrorConfig'] = "Fatálna chyba: Nekorektná konfigurácia.";
+$Lang['notice.EraseFolderOut'] = "Upozornenie: Výstupný adresár bude celý vyprázdnený.";
+$Lang['notice.ErrorConfig'] = "Niektoré konfiguračné chyby budú opravené, skontrolujte prosím Vaše parametre.";
+$Lang['notice.must_be_integer %s'] = "%s must be an integer.";
+$Lang['notice.must_be_integer_100 %s'] = "%s must be a decimal below 100.";
+$Lang['notice.must_be_decimal %s'] = "%s must be a decimal.";
+
+$Lang['Source files'] = "Ovládné súbory";
+$Lang['%d files'] = "%d súborov";
+$Lang['Finish %d seconds'] = "Proces ukončený o: %d sekúnd.";
+$Lang['Ready'] = "Pripravený na spustenie.";
+$Lang['Processing'] = "Spracovanie.";
+$Lang['Launch'] = "Spustenie";
+$Lang['Config'] = "Nastavenie";
+$Lang['Back'] = "Späť";
+$Lang['Reload'] = "Reload";
+$Lang['Saved'] = "Configuration saved. <i>Redirection...</i>";
+$Lang['Configuration'] = "Konfigurácia";
+$Lang['Folders'] = "Adresáre";
+$Lang['FolderIn'] = "Načítavací adresár";
+$Lang['FolderOut'] = "Výstupný adresár";
+$Lang['Options'] = "Možnosti";
+$Lang['silentORNOT'] = "Ak výstupný adresár nie je prázdny";
+$Lang['DIRhighORNOT'] = "Vytvorenie vysoko-definovaných adresárov ";
+$Lang['DIMhdORNOT'] = "Zmena veľkosti HD fotografie";
+$Lang['renameORNOT'] = "Premenovanie súborov a adresárov";
+$Lang['indexORNOT'] = "Pridanie index.php súborov";
+$Lang['prefixe_mini'] = "Predpona náhľadov";
+$Lang['Sizes and quality'] = "Veľkosti a kvalita";
+$Lang['DIMhd'] = "HD fotografie max veľkosti";
+$Lang['DIMnormal'] = "Normálna fotografia max veľkosti";
+$Lang['DIMthumbnail'] = "Veľkosť náhľadov";
+$Lang['Qhd'] = "Kvalita HD fotografií";
+$Lang['Qnormal'] = "Kvalita normálnych fotografií";
+$Lang['Qthumbnail'] = "Kvalita náhľadov";
+$Lang['DPI'] = "Rozlíšenie HD fotografií";
+$Lang['Copyright'] = "Copyright";
+$Lang['Content'] = "Obsah";
+$Lang['copyONhd'] = "Na vysoko-definované";
+$Lang['copyONnormal'] = "Na normálne";
+$Lang['copyPOS%s'] = "%spozícia";
+$Lang['copyPOSh'] = "Horizontálne ";
+$Lang['copyPOSv'] = "Vertikálne ";
+$Lang['copySIZE'] = "Veľkosť (pomer fotografia/text)";
+$Lang['copyCOLOR'] = "Farba";
+$Lang['copyFONT'] = "Font";
+$Lang['Plugins'] = "Doplnky";
+$Lang['yes'] = "áno";
+$Lang['no'] = "nie";
+$Lang['top'] = "hore";
+$Lang['center'] = "centrovane";
+$Lang['bottom'] = "dole";
+$Lang['left'] = "vľavo";
+$Lang['right'] = "vpravo";
+$Lang['erase'] = "Vymazať";
+$Lang['pass'] = "Pokračovať";
+$Lang['block'] = "Blok";
+$Lang['New !'] = "Nové!";
+$Lang['Missing !'] = "Chýbajúce!";
+$Lang['Reset'] = "Resetovať";
+$Lang['Valid'] = "Potvrdiť";
+$Lang['Active'] = "Platné";
+$Lang['Inactive'] = "Neplatné";
+?>
Index: extensions/PHP_Optimisateur/plugins/charlies_content/language/en_UK.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/charlies_content/language/en_UK.php	(revision 10337)
+++ extensions/PHP_Optimisateur/plugins/charlies_content/language/en_UK.php	(revision 10337)
@@ -0,0 +1,5 @@
+<?php
+$Lang['charlies_content.rand'] = "&nbsp;&nbsp;'rand' to random";
+$Lang['charlies_content.video_time'] = "Thumbnail position";
+$Lang['fatal.charlies_content.error_ffmpeg'] = "Fatal error : The program <i>ffmpeg.exe</i> is unavailable.";
+?>
Index: extensions/PHP_Optimisateur/plugins/charlies_content/language/fr_FR.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/charlies_content/language/fr_FR.php	(revision 10337)
+++ extensions/PHP_Optimisateur/plugins/charlies_content/language/fr_FR.php	(revision 10337)
@@ -0,0 +1,5 @@
+<?php
+$Lang['charlies_content.rand'] = "&nbsp;&nbsp;'rand' pour choix aléatoire";
+$Lang['charlies_content.video_time'] = "Position de la miniature";
+$Lang['fatal.charlies_content.error_ffmpeg'] = "Erreur fatale : Le programme <i>ffmpeg.exe</i> est introuvable.";
+?>
Index: extensions/PHP_Optimisateur/plugins/charlies_content/main.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/charlies_content/main.php	(revision 10337)
+++ extensions/PHP_Optimisateur/plugins/charlies_content/main.php	(revision 10337)
@@ -0,0 +1,96 @@
+<?php
+/***************************************\
+|			PHP OPTIMISATEUR			|
+|	  Plugin Charlie's Content 1.0		|
+\***************************************/
+
+## Génère des miniatures pour divers types de fichiers
+
+$CC_charlies_exts = array( // all extensions supported by Charlies' Content
+	'flv','swf','pls','m3u','wav','mid','au','aif','mp3','pdf',
+	'asf','wmv','divx','xvid','aiff','aac','bmp','gsm','mov','mpg',
+	'mpeg','mp4','m4a','psd','qt','qtif','qif','qti','snd','tif',
+	'tiff','3g2','3pg','zip','rar','gpx','3gp',
+);
+$CC_video_exts = array( // extensions tested with FFmpeg
+	'wmv','mov','mkv','mp4','mpg','flv','asf','xvid','divx','mpeg',
+	'avi','rm', # <-- additional formats
+);
+$CC_video_time = $CONF['Plugins']['charlies_content']['video_time'];
+
+if (!function_exists('ffmpeg')) {
+function ffmpeg($param, $log=true) {
+	global $LOG;
+
+	exec('include\ffmpeg.exe '. $param .' 2>&1', $out);
+	
+	if ($log) {
+		$LOG[] = 'FFmpeg conversion : ' . $param;
+	} else {
+		return $out;
+	}
+}
+}
+
+if (in_arrayi($file['ext'], $CC_video_exts)) {
+	// copie la video
+	copy_log($FilesSource[$i], $FilesSortie[$i]);
+	
+	// infos sur le fichier
+	$infos = ffmpeg('-i "'. ROOT_DIR.$FilesSource[$i] .'"', false);
+	$infos = implode('|', $infos);
+	
+	// taille de la video
+	if (preg_match('#\, (\d+)x(\d+)#s', $infos, $sizes)) {
+		$FileInfos = array(
+			'Width' => $sizes[1],
+			'Height' => $sizes[2],
+		);
+	}
+
+	// position de la miniature
+	$second = 10;
+	if ($CC_video_time == 'rand') {
+		if (preg_match('#Duration: ((\d+):(\d+):(\d+))#s', $infos, $time)) {
+			$total = ($time[2] * 3600) + ($time[3] * 60) + $time[4];
+			$second = rand(1, ($total - 1));
+		}
+	} else if (is_int($CC_video_time)) {
+		$second = $CC_video_time;
+	}
+	
+	// création d'un ficher pleine taille temporaire
+	mkdir('temp', 0777, true);
+	ffmpeg('-i "'. $FilesSource[$i] .'" -an -ss '.$second.' -t 1 -r 1 -y -vcodec mjpeg -f mjpeg "temp/'.$file['name'].'.jpg"');	
+	
+	// miniature, utilise Create Custom Thumbs si activé
+	if (
+		isset($CONF['Plugins']['create_custom_thumbs']) 
+		AND $CONF['Plugins']['create_custom_thumbs']['active']
+	) {
+		unset($BlockAll);
+		$CCT_filesource = 'temp/'.$file['name'].'.jpg';
+		include('plugins/create_custom_thumbs/main.php');
+		$BlockAll['main'] = true;
+	
+	} else {
+		nconvert('-q '.$CONF['Qthumbnail'].' -out jpeg -o "'.$file['folder_out'].'thumbnail/'.$CONF['prefixe_mini'].$file['name'].'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize '.$CONF['DIMthumbnail'].' '.$CONF['DIMthumbnail'].' -rmeta -rexifthumb "temp/'.$file['name'].'.jpg"');
+	}
+
+	// suppression des fichiers temporaires
+	@rrmdir('temp');
+	
+	$BlockThumbnail['charlies_content'] = true;
+	$BlockNormal['charlies_content'] = true;
+	$BlockHigh['charlies_content'] = true;
+	
+} else if (in_arrayi($file['ext'], $CC_charlies_exts)) {
+	// copie le fichier
+	copy_log($FilesSource[$i], $FilesSortie[$i]);
+	
+	$BlockThumbnail['charlies_content'] = true;
+	$BlockNormal['charlies_content'] = true;
+	$BlockHigh['charlies_content'] = true;
+}
+
+?>
Index: extensions/PHP_Optimisateur/plugins/charlies_content/setup.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/charlies_content/setup.php	(revision 10337)
+++ extensions/PHP_Optimisateur/plugins/charlies_content/setup.php	(revision 10337)
@@ -0,0 +1,46 @@
+<?php
+load_plugin_lang('charlies_content');
+
+switch ($PLUGIN_ACTION) {
+	// Affichage simple de la configuration
+	case 'read_config':
+		// vérifie que ffmpeg est bien présent
+		if (!file_exists('include/ffmpeg.exe') AND $plugin_config['active']) {
+			$ERRORS['fatal'][] = 'charlies_content.error_ffmpeg';
+		}
+				
+		$PAGE['content'] .= '
+		<table>
+			<tr>
+				<td>'.l10n('charlies_content.video_time').' :</td>
+				<td>'.bool_to_string($plugin_config['video_time']).($plugin_config['video_time']!=='rand' ? ' sec':'om').'</td>
+			</tr>
+		</table>';
+		break;
+	
+	
+	// Actions avant enregistrement
+	case 'save_config':
+		if (!is_decimal($_POST['Plugins']['charlies_content']['video_time']) AND $_POST['Plugins']['charlies_content']['video_time'] != 'rand') {
+			$_POST['Plugins']['charlies_content']['video_time'] = 'rand';
+			$ERRORS['conf'][] = array(l10n('charlies_content.video_time'), 'must_be_integer');
+		}
+
+		break;
+
+		
+	// Formulaire d'édition
+	case 'edit_config':
+		$PAGE['content'] .='
+		<table>
+			<tr>
+				<td>'.l10n('charlies_content.video_time').' :</td>
+				<td>
+					<input type="text" name="Plugins[charlies_content][video_time]" value="'.$plugin_config['video_time'].'" size="3"/>sec
+					<i>'.l10n('charlies_content.rand').'</i>
+				</td>
+			</tr>
+		</table>';
+		break;
+} 
+?>
Index: extensions/PHP_Optimisateur/plugins/convert_pan/language/en_UK.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/convert_pan/language/en_UK.php	(revision 10337)
+++ extensions/PHP_Optimisateur/plugins/convert_pan/language/en_UK.php	(revision 10337)
@@ -0,0 +1,10 @@
+<?php
+$Lang['convert_pan.unactive'] = "&nbsp;&nbsp;'0' to unactive";
+$Lang['convert_pan.DetectMode'] = "Detection mode";
+$Lang['convert_pan.DetectMode.name'] = "suffix";
+$Lang['convert_pan.DetectMode.ratio'] = "ratio";
+$Lang['convert_pan.DIMpanorama'] = "Panorama height";
+$Lang['convert_pan.NAMEpanorama'] = "Distinctive suffix";
+$Lang['convert_pan.RatioPan'] = "Minimal ratio";
+$Lang['convert_pan.RatioPanThumb'] = "Thumbnails ratio";
+?>
Index: extensions/PHP_Optimisateur/plugins/convert_pan/language/fr_FR.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/convert_pan/language/fr_FR.php	(revision 10337)
+++ extensions/PHP_Optimisateur/plugins/convert_pan/language/fr_FR.php	(revision 10337)
@@ -0,0 +1,10 @@
+<?php
+$Lang['convert_pan.unactive'] = "&nbsp;&nbsp;'0' pour désactiver";
+$Lang['convert_pan.DetectMode'] = "Mode de détection";
+$Lang['convert_pan.DetectMode.name'] = "suffixe";
+$Lang['convert_pan.DetectMode.ratio'] = "ratio";
+$Lang['convert_pan.DIMpanorama'] = "Hauteur du panorama";
+$Lang['convert_pan.NAMEpanorama'] = "Suffixe distinctif";
+$Lang['convert_pan.RatioPan'] = "Ratio minimum";
+$Lang['convert_pan.RatioPanThumb'] = "Ratio des miniatures";
+?>
Index: extensions/PHP_Optimisateur/plugins/convert_pan/main.php
===================================================================
--- extensions/PHP_Optimisateur/plugins/convert_pan/main.php	(revision 9633)
+++ extensions/PHP_Optimisateur/plugins/convert_pan/main.php	(revision 10337)
@@ -2,5 +2,5 @@
 /***************************************\
 |			PHP OPTIMISATEUR			|
-|		  Plugin ConvertPan 1.2			|
+|		  Plugin ConvertPan 1.3			|
 \***************************************/
 
@@ -14,8 +14,13 @@
 $CP_ratiopanthumb = $CONF['Plugins']['convert_pan']['RatioPanThumb']; 	// Ratio des miniatures
 
-if (($CP_detectmode == 'name' AND strpos($FileName,$CP_namepanorama) !== false) OR ($CP_detectmode == 'ratio' AND $FileInfos['Width']/$FileInfos['Height'] >= $CP_ratiopan)) {
+if (!isset($BlockAll)) {
+
+if (
+	($CP_detectmode == 'name' AND strpos($file['name'],$CP_namepanorama) !== false) OR 
+	($CP_detectmode == 'ratio' AND $FileInfos['Width']/$FileInfos['Height'] >= $CP_ratiopan)
+) {
 
 	if (!isset($BlockNormal) AND $CP_dimpanorama != 0) { 
-		exec('include\nconvert.exe -q '.$CONF['Qnormal'].' -out jpeg -o "'.$FileFolder.$FileName.'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize 0 '.$CP_dimpanorama.' '.$CONF['copyNormal'].' "'.$FilesSource[$i].'"');
+		nconvert('-q '.$CONF['Qnormal'].' -out jpeg -o "'.$file['folder_out'].$file['name'].'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize 0 '.$CP_dimpanorama.' '.$CONF['copyNormal'].' "'.$FilesSource[$i].'"');
 		$BlockNormal['convert_pan'] = true;
 	}
@@ -28,7 +33,9 @@
 		$offset_x = ($tmp_x - $CONF['DIMthumbnail']) / 2;
 		
-		exec('include\nconvert.exe -q '.$CONF['Qthumbnail'].' -out jpeg -o "'.$FileFolder.'thumbnail/'.$CONF['prefixe_mini'].$FileName.'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize 0 '.$DIMthumbnailV.' -crop '.$offset_x.' 0 '.$CONF['DIMthumbnail'].' '.$DIMthumbnailV.' -rmeta -rexifthumb "'.$FilesSource[$i].'"');
+		nconvert('-q '.$CONF['Qthumbnail'].' -out jpeg -o "'.$file['folder_out'].'thumbnail/'.$CONF['prefixe_mini'].$file['name'].'.jpg" -dpi 72 '.$CONF['convOptions'].' -resize 0 '.$DIMthumbnailV.' -crop '.$offset_x.' 0 '.$CONF['DIMthumbnail'].' '.$DIMthumbnailV.' -rmeta -rexifthumb "'.$FilesSource[$i].'"');
 		$BlockThumbnail['convert_pan'] = true;
 	}
 }
+
+}
 ?>
